Article ID: 1782, created on Apr 27, 2009, last review on May 11, 2014

  • Applies to:
  • Plesk 8.x for Linux/Unix

Resolución

Puede actualizar PHP en Debian de la siguiente forma: 
 
1. Comente la fuente de Parallels Plesk Panel en el archiv /etc/apt/sources.list:


y actualice:

# apt-get update

2. Ejecute el comando `apt-cache search | grep php5` para ver los paquetes disponibles.

3. Instale los paquetes php5 requeridos, por ejemplo:

# apt-get install php5 php5-common php5-gd php5-imap php5-mysql php5-xmlrpc php5-cgi php5-xsl php5-curl php5-cli

4. Elimine libapache2-mod-php4 y psa-php4-configurator:

# dpkg -r --force-depends libapache2-mod-php4 psa-php4-configurator

5. Active la fuente de Parallels Plesk Panel en el archivo /etc/apt/sources.list y actualice:

# apt-get update

6. Instale libapache2-mod-php5 psa-php5-configurator:

# apt-get install libapache2-mod-php5 psa-php5-configurator

 

b8ef5052d936e902043e41759118114e 29d1e90fd304f01e6420fbe60f66f838 a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF